%define         gst_minver      0.8.0
%define         gstp_minver     0.8.0
%define         majorminor      0.8
%define         gstreamer       gstreamer

Name:           %{gstreamer}-player
Version:        0.8.0
Release:        0.fdr.1.rh90
Summary: 	GStreamer Streaming media framework player

Group: 		Applications/Multimedia
License: 	LGPL
URL:		http://gstreamer.net/
Source: 	http://gstreamer.freedesktop.org/src/gst-player/gst-player-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre): /sbin/ldconfig
Requires(post): /sbin/ldconfig

BuildRequires:	%{gstreamer}-devel >= %{gst_minver}
BuildRequires:	%{gstreamer}-plugins-devel >= %{gstp_minver}
BuildRequires:	libglade2-devel
BuildRequires:  nautilus-devel
BuildRequires:	eel2-devel
BuildRequires:	gail-devel
BuildRequires:	gnome-desktop-devel
BuildRequires:	gettext
# needed for intltool
BuildRequires:  perl-libxml-perl
BuildRequires:	intltool
# sigh, libtool
BuildRequires:  gcc-c++

%description
This package contains the GStreamer media player and libgstplayer, a simple
GStreamer playback wrapper library.

%package devel
Summary:        GStreamer libgstplayer development files.
Group:          Development/Libraries
Requires:       gstreamer-player = %{version}-%{release}

%description devel
GStreamer libgstplayer development libraries and headers.

%package nautilus
Summary:        GStreamer nautilus view.
Group:          Libraries/Multimedia
Requires:       gstreamer-player = %{version}-%{release}

%description nautilus
GStreamer nautilus view for media files.

%prep
%setup -q -n gst-player-%{version}

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang gst-player

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gst-player.schemas > /dev/null

%postun
/sbin/ldconfig

%files -f gst-player.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING
%{_bindir}/gst-player
%{_libdir}/libgstplayer.so.*
%{_sysconfdir}/gconf/schemas/gst-player.schemas
%{_mandir}/man1/gst*.*
%{_datadir}/applications/gst-player.desktop
%{_datadir}/gst-player/ui/*.png
%{_datadir}/gst-player/ui/mediacontrol.glade
%{_datadir}/gst-player/ui/playlist.glade
%{_datadir}/gst-player/ui/gst-player.glade
%{_datadir}/pixmaps/gst-player-48.png
# %{_datadir}/pixmaps/gst-player-logo.png
%{_datadir}/application-registry/gst-player.applications
%{_datadir}/mime-info/gst-player.keys

%files devel
%defattr(-, root, root)
%{_libdir}/libgstplayer.so
%{_includedir}/gst-player-%{version}/gst/gstvideowidget.h
%{_includedir}/gst-player-%{version}/gst/gtk-playlist.h

%files nautilus
%defattr(-, root, root)
%{_libdir}/bonobo/servers/Gst-Player-View.server
%{_libdir}/bonobo/servers/Gst-Player-Control.server
%{_libexecdir}/gst-player-view
%{_libexecdir}/gst-player-control
%{_datadir}/gnome-2.0/ui/gst-player-view-ui.xml

%changelog
* Thu Mar 18 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- updated to 0.8.0

* Wed Jun 18 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- updated to 0.5.1 and new spec files

* Sun Jan 19 2003 Christian Schaller <Uraeus@gnome.org>
- Updated with playlist changes

* Sat Jan 11 2003 Christian Schaller <Uraeus@gnome.org>
- Added the gst-player-logo.png file

* Wed Oct 30 2002 Thomas Vander Stichele <thomas at apestaart dot org>
- adding gstreamer-play to buildreqs

* Wed Oct 30 2002 Thomas Vander Stichele <thomas at apestaart dot org>
- remove libgstplay

* Sat Oct 26 2002 Thomas Vander Stichele <thomas@apestaart.org>
- Fix location of bonobo servers

* Fri Oct 25 2002 Christian F.K. Schaller <Uraues@linuxrising.org>
- Fix reference to videowidget.h since it been renamed gstvideowidget.h
- Add gst-player-gtk binary

* Fri Oct 25 2002 Thomas Vander Stichele <thomas@apestaart.org>
- add eel2 to dependencies for nautilus
* Thu Oct 24 2002 Thomas Vander Stichele <thomas@apestaart.org>
- fixed other people's laziness by doing a proper list of files instead
  of asterisks all over
- fixed path of headers
- trying out a new trick with buildfor macro's

* Sun Oct 20 2002 Christian Schaller <Uraeus@linuxrising.org>
- There is no Nautilus2-devel package, fixing it to be Nautilus
- Added all manpages
- Removed .la files

* Fri Sep 20 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added gstreamer-plugins-devel buildrequires (for gstreamer-libs.pc)
- added libglade deps
- added gstreamer-GConf deps
- added nautilus2 deps
- added gail deps
- split out packages to main, devel, and nautilus

* Sat Sep 14 2002 Thomas Vander Stichele <thomas@apestaart.org>
- moved libgstplay to prefix/lib

* Thu Aug 27 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added media-player icon 
- Added Nautilus mime type files
- Added Nautilus view files

* Mon Aug 09 2002 Steve Baker <stevebaker_org@yahoo.co.uk>
- remove pixmaps dir and added ui dir

* Mon Jul 08 2002 Thomas Vander Stichele <thomas@apestaart.org>
- comment out the bonobo and nautilus stuff until it works properly

* Sun Jul 07 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added the needed plugins as Requirements, apt and RC will want this

* Sat Jun 29 2002 Christian Schaller <Uraeus@linuxrising.org>
- Updated with latest changes

* Wed May 15 2002 Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
- Added Nautilus view and i18n stuff

* Fri May 05 2002 Thomas Vander Stichele <thomas@apestaart.org>
- re-added new pixmaps
- went back to %configure, feels nicer

* Tue Feb 12 2002 Benjamin Otte <in7y118@public.uni-hamburg.de>
- removed pixmaps, they are statically linked now

* Tue Feb 05 2002 Thomas Vander Stichele <thomas@apestaart.org>
- changed location of pixmaps

* Sun Feb 03 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from other spec file
